$(document).ready(function() {
	
	var audioIsPlaying = false;

	$('.audio-wrapper').on('click', function() {
		
		audio = $('audio', this)[0];
		
		if (audio.paused && !audioIsPlaying) {
			audio.play();
		}
		else if (!audio.paused) {
			audio.pause();
		}
		
	});
	
	$('.audio-wrapper audio').on('play', function() {
		audioIsPlaying = true;
		var audioWrapper = $(this).parent();

		if ( audioWrapper.css('background-image').indexOf('@2x') >= 0 ) {
			audioWrapper.css('background-image', 'url(images/amplion@2x.gif)');
		}
		else {
			audioWrapper.css('background-image', 'url(images/amplion.gif)');
		}
	});
	
	$('.audio-wrapper audio').on('pause ended', function() {
		audioIsPlaying = false;
		var audioWrapper = $(this).parent();

		if ( audioWrapper.css('background-image').indexOf('@2x') >= 0 ) {
			audioWrapper.css('background-image', 'url(images/amplion@2x.png)');
		}
		else {
			audioWrapper.css('background-image', 'url(images/amplion.png)');
		}
		
	});
	
});
